import common from '../../utils/util';
import server from '../../utils/main';

const app = getApp();

Page({
  data: {
    ShowNumber:0,
  },
  onLoad: function (options) {

    this.setData({
      Containnerheight: common.getSystemHeight(),
    });
    this.updateData(options);
  },
  onShow: function(){
    this.setData({
      ShowNumber:this.data.ShowNumber,
    })
  },
  updateData: function (param) {
    var that = this;
    server.getData('UpdateWXUsersAll500?ProductID=' + param.ProductID
      + "&ProductUserID=" + param.ProductUserID
      + "&CurrentProductID=" + param.CurrentProductID
      + "&CurrentUserID=" + param.CurrentUserID, function (data) {
        if (data) {

        }
      });
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.ShareImage,
    }
  },
})